org.eclipse.emf.cdo.common.revision

## Interface CDORevisable

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOBranchVersion, CDOTimeProvider, CDOVersionProvider
  All Known Subinterfaces:
    CDORevision, InternalCDORevision
  All Known Implementing Classes:
    AbstractCDORevision, BaseCDORevision, DelegatingCDORevision, DetachedCDORevision, PointerCDORevision, StubCDORevision, SyntheticCDORevision

      public interface CDORevisable
      extends CDOBranchPoint, CDOBranchVersion

  An entity that has a defined lifetime (creation plus revision) and a version in a `branch`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `FIRST_VERSION, UNSPECIFIED_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getRevised()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `getBranch, getVersion`

- - ### Method Detail

    - #### getRevised

          long getRevised()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html